I found the answer to my problem
in CATIA
wbk2.usedrange.find(thetext,lookat:=XlWhole)
does not work
instead use
wbk2.usedrange.find(thetext,lookat:=true)
regards
Hi everybody,
I made a macro exporting data (drawingtexts) into a newly created excelsheet "wbk1"
I want to make a check with another workbook ("wbk2") to find if the text I exported in my "wbk1" exists in "wbk2".
I need to use the wbk2.usedrange.find(thetext,lookat:=XlWhole) method (because I...
Thank you Little Cthulhu,
it is important to me to know exactly where the texts are located.
And btw, by using the :
CATIA.ActiveDocument.Selection.Search "CATDrwSearch.DrwText.Visibility=Visible,all"
the selection made does not take into account the baloons and all the other types of...
Hello All,
If I make a selection of all the texts in a drawing, where can I find the views in which ones every text are located ?
something like
dim myselection as selection
set myselection = CATIA.activedocument.Selection 'with for exemple 2 texts selected in a drawingview
msgbox...
Hi everybody
I'm writing a new macro to check texts in drawings.
I want to get the visualproperties of each text of each distinc view of each distinct drawingsheet
And so far the only way of doing this was using selection.add but it's sooooooo long that I need your help to find a better way of...
Hi,
I am looking for a way to create an InertiaVolume in catia (see picture) using VBA.
Do you have any idea ?
I need it to be created in the part, I can't afford to just get the measure results.
Thanks
Hello everyone,
I have an issue with some computers running the same macro:
I create a collection to save selections.
then I want to use this collection to select the elements saved earlier in this collection (I can't do it by another way because I'm dealing with automatically generated...
Ok It seemed to work but at the oSelection.Add myCollection.Item(i) CATIA selects the geometrical set in which one are the planar sections but not the planar sections....
any advice ?
Dim myCollection As New Collection
oSelection.Search ("Name=" & geoSet)
oSelection.Search...
Hi all,
I made a macro in which one I create Planar Sections (lot of them).
As the planar section creation is not scriptable (because it needs user to click on buttons) it creates the planar sections beginning from PlanarSection.1 and then 2,3,4,5,6...
But you would know that if there were...
Another thing
I just tried to run my code selecting the planes instead of the planar sections and it works perfect,
I just don't understand why it does not work for the Planar Sections....
Hi again,
So I tried it but unfortunately, the method oSelection.Item(i).Value.Name give me an error....
I don't know How to manage this anymore
iterationAutoMode = 0
oSelection.Clear
Set oSelection = CATIA.ActiveDocument.Selection
oSelection.Search...